MilterManagerModule
3
milter managerライブラリ

# MilterManagerModule

## Functions

MilterManagerModule * | milter_manager_module_load_module ()
GList * | milter_manager_module_load_modules ()
GList * | milter_manager_module_load_modules_unique ()
MilterManagerModule * | milter_manager_module_find ()
GObject * | milter_manager_module_instantiate ()
GList * | milter_manager_module_collect_registered_types ()
GList * | milter_manager_module_collect_names ()
void | milter_manager_module_unload ()

## Types and Values

struct | MilterManagerModule
struct | MilterManagerModuleClass

## オブジェクト階層

        GObject
        ╰── GTypeModule
            ╰── MilterManagerModule

## 実装されたインターフェイス

MilterManagerModule implements GTypePlugin.

## 説明

## Functions

### milter_manager_module_load_module ()

    MilterManagerModule *
    milter_manager_module_load_module (const gchar *base_dir,
                                       const gchar *name);

### milter_manager_module_load_modules ()

    GList *
    milter_manager_module_load_modules (const gchar *base_dir);

### milter_manager_module_load_modules_unique ()

    GList *
    milter_manager_module_load_modules_unique
                                   (const gchar *base_dir,
                                    GList *modules);

### milter_manager_module_find ()

    MilterManagerModule *
    milter_manager_module_find (GList *modules,
                                const gchar *name);

### milter_manager_module_instantiate ()

    GObject *
    milter_manager_module_instantiate (MilterManagerModule *module,
                                       const gchar *first_property,
                                       va_list var_args);

### milter_manager_module_collect_registered_types ()

    GList *
    milter_manager_module_collect_registered_types
                                   (GList *modules);

### milter_manager_module_collect_names ()

    GList *
    milter_manager_module_collect_names (GList *modules);

### milter_manager_module_unload ()

    void
    milter_manager_module_unload (MilterManagerModule *module);

## Types and Values

### struct MilterManagerModule

    struct MilterManagerModule;

### struct MilterManagerModuleClass

    struct MilterManagerModuleClass {
        GTypeModuleClass parent_class;
    };